## org.apache.log4j.xml
Interface UnrecognizedElementHandler

All Known Implementing Classes:
  RewriteAppender, SMTPAppender

    public interface UnrecognizedElementHandler

When implemented by an object configured by DOMConfigurator, the handle method will be called when an unrecognized child element is encountered. Unrecognized child elements of the log4j:configuration element will be dispatched to the logger repository if it supports this interface.

Since:
  1.2.15

Method Summary
`boolean` `parseUnrecognizedElement(Element element, Properties props)` Called to inform a configured object when an unrecognized child element is encountered.

Method Detail

### parseUnrecognizedElement

    boolean parseUnrecognizedElement(Element element,
                                     Properties props)
                                     throws Exception

  Called to inform a configured object when an unrecognized child element is encountered.

  Parameters:
    `element` - element, may not be null.
    `props` - properties in force, may be null.
  Returns:
    true if configured object recognized the element
  Throws:
    `Exception` - throw an exception to prevent activation of the configured object.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.